.hero {
  padding: 0 !important;
  position: relative;
  margin-bottom: 220px;
  background-color: #f5f5f5;
}
/* _________________________ */
.modal {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.modal-content {
  position: relative;
  background: #fff;
  padding: 30px;
  max-width: 500px;
  width: 90%;
  border-radius: 12px;
  text-align: center;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.25);
  font-family: Arial, sans-serif;
}

.modal-content h2 {
  margin-top: 0;
}

.modal-close {
  position: absolute;
  top: 12px;
  right: 16px;
  border: none;
  background: none;
  font-size: 28px;
  cursor: pointer;
  line-height: 1;
}

.modal-close:hover {
  color: #c00;
}
/* _________________________ */

.hero-swiper {
  height: 70vh;
  min-height: 550px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.hero-swiper .swiper-slide {
  position: relative;
}

.hero-swiper .swiper-slide::after {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 1;
  background:
    linear-gradient(
      to right,
      rgb(0 0 0 / 65%),
      rgba(0, 0, 0, 0.25),
      rgba(0, 0, 0, 0.05)
    ),
    linear-gradient(to top, rgba(76, 165, 4, 0.25), #00000069 25%);
}

.hero-swiper .swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.hero-swiper .slide-content {
  text-align: start;
  position: absolute;
  width: 70%;
  z-index: 2;
  top: 50%;
  left: 45%;
  transform: translate(-50%, -50%);
}

.slide-content h1,
.slide-content h2,
.slide-content p {
  color: white;
}

.slide-content p strong {
  color: #82a211;
  font-weight: 700;
  font-size: 1.5rem;
}

.service-cards {
  position: absolute;
  width: 100%;
  bottom: -264px;
  z-index: 5;
  display: flex;
  justify-content: center;
  align-items: center;
}

.service-card {
  height: 320px;
  width: 400px;
  padding: 16px 44px;
  border-right: 2px solid rgba(63, 63, 63, 0.205);
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
}

.service-card:first-child {
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
}

.service-card:last-child {
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
  border-right: none;
}

.service-card h3 {
  margin-bottom: 16px;
  color: white !important;
  width: 100%;
}

.service-card p {
  color: white !important;
  font-size: 0.8rem;
}

.service-card a {
  color: white !important;
  font-size: 1.5rem;
  font-weight: bold;
}

.card-cta {
  width: 100%;
  margin-top: 32px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 16px;
}

.card-cta img {
  height: 44px;
  background-color: black;
  border-radius: 8px;
  border-bottom-right-radius: 0;
  padding: 4px;
}

.card-icon {
  width: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 16px;
}

.card-icon img {
  height: 68px;
}

/* ===========================
   Responsives Design (Breakpoints)
   Range: 320px – 1920px
=========================== */

@media (max-width: 1690px) {
  .service-card {
    width: 332px;
  }

  .card-cta a {
    font-size: 1rem;
  }
}

@media (max-width: 1350px) {
  .service-card {
    width: 240px;
  }

  .card-cta {
    display: none;
  }
}

/* Large Devices (992px – 1199px) */
@media (min-width: 992px) and (max-width: 1199px) {
  .hero-swiper .slide-content p {
    max-width: 590px;
  }
}

/* Medium Devices (768px – 991px) */
@media (min-width: 768px) and (max-width: 991px) {
  .hero-swiper .slide-content {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -70%);
  }

  .hero-swiper {
    height: 100vh;
  }

  .service-cards {
    flex-direction: column;
    bottom: -918px;
  }

  .service-card {
    width: 65%;
    height: 248px;
    border: none !important;
    border-radius: 0 !important;
  }
}

/* Small Devices (576px – 767px) */
@media (min-width: 576px) and (max-width: 767px) {
  .hero-swiper {
    height: 100vh;
  }

  .service-cards {
    flex-direction: column;
    bottom: -918px;
  }

  .service-card {
    width: 65%;
    height: 248px;
    border: none !important;
    border-radius: 0 !important;
  }

  .hero-swiper .slide-content {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -70%);
  }
  .cta-btn {
    padding: 6px 12px;
  }

  .arrow-none {
    display: none !important;
  }
}

/* Extra Small Smartphones (320px – 575px) */
@media (max-width: 575px) {
  .service-cards {
    flex-direction: column;
    bottom: -918px;
  }

  .service-card {
    width: 85%;
    height: 248px;
    border: none !important;
    border-radius: 0 !important;
  }

  .hero-swiper {
    height: 100vh;
  }

  .hero-swiper .slide-content {
    top: 50%;
    left: 50%;
    width: 85%;
    transform: translate(-50%, -70%);
  }

  .hero-swiper .slide-content p {
    margin-top: 16px;
  }

  .cta-btn {
    padding: 6px 12px;
  }
  .arrow-none {
    display: none !important;
  }
}
